WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

curreX

curreX is an AJAX powered Currency Conversion widget for WordPress sidebars.

Does this plug-in work with a non widget enabled theme?

As of version 0.7, it does. One should place a call to the function show_currex( default_from, default_to, decimal_places, (optional) type, (optional) title ) in an appropriate place in the file sidebar.php for the non widget enabled theme.

The default_from and default_to here are 3 character shortened codes for the source and destination currencies. These 3 character codes can be found in the dropdown currency selection boxes of curreX, stated beside each currency.

decimal_places is an integer which denotes the precision (number of digits to display after the decimal point) of the conversion result.

type specifies which type of widget (Flash based or HTML/JavaScript based) to display. This feature is available ONLY from version 0.9. The possible values are, flash and html. This parameter is optional and if it's not specified, by default the HTML/JavaScript based widget will be shown.

title specifies the title to display embedded in the Flash widget. This parameter is optional too and if omitted, no title will be displayed in the widget. This parameter is directly related the the type of the widget, and if flash isn't the chosen type has no effect on the display anywhere. This feature is meant to act as a replacement for the default title field of a WordPress widget. I don't recommend using both together - as it'll be pointless and redundant.

A typical call to this function with source currency as US Dollars, destination currency as Thai Baht and precision set to 2 decimal places looks like,

OR

<? show_currex( "USD", "THB", 2, 'flash', 'Currency Exchange' ); ?>

NOTE: Any version prior to 0.7 works only with widget enabled themes.

Requires: 2.0.x or higher
Compatible up to: 2.5.1
Last Updated: 2008-6-22
Downloads: 3,909

Ratings

2 stars
2.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0
0,1,0